//Base Dialog files because I'm  too lazy to properly do it all with a CHAIN. (Since I actually don't know how from scratch!)

BEGIN ~hfArthur~

IF ~Global("hf_HHGSequence","GLOBAL",1)~ THEN BEGIN RunAway // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfGalaha~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfLance~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfRobin~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfMaynar~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfBedev~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfPriest~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfMayar~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfMonk~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END

BEGIN ~hfTim~

IF ~Global("hf_HHGSequence","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY @0 
  IF ~~ THEN EXIT
END